--- Makefile.orig	2018-02-23 05:21:23.700128027 +0000
+++ Makefile	2018-02-23 05:22:06.541094600 +0000
@@ -35,8 +35,8 @@
 UNCOMPRESS:=gunzip
 
 ####K C Related variables
-PLF=${SYS}platform
-CCF="-O2 -fno-strength-reduce -D_GNU_SOURCE -D${PLF} \
+PLF=$(shell echo $(SYS) |tr /a-z/ /A-Z/)platform
+CCF="${CFLAGS} -O2 -fno-strength-reduce -D_GNU_SOURCE -D${PLF} \
      -I/usr/X11/include \
      -Wno-absolute-value -std=gnu89 -w" 
 INC:=${SPD}/src/include
